#!/usr/bin/gnuplot

set term post eps enh color dashed "Helvetica" 18
set out "e2_EPS.eps"
set size 0.65,0.98

set xl "time {/Helvetica-Oblique t} [Myr]"
set yl "proper {/Helvetica-Oblique e}_2" offset 2,0

set xr [0:1.5]
eps=1.e-6
set yr [0.19842+eps:0.19858-eps]
set xtics 0.2
set mxtics 2
set ytics format "%.5f" font "Helvetica,14"

set nokey
set lmargin 10.0
set rmargin 0.5
set bmargin 3.0
set tmargin 0.5

set multiplot
set size 0.65,0.4
set origin 0.0,0.0

p \
  "<awk '($1==-3)' follow.proper.out" u 2:4 w l lt 1 lc 3 lw 3

########################################################################

set origin 0.0,0.29

set xl ""
set yl "mean {/Helvetica-Oblique e}_2" offset 1,0

eps=1.e-5
set yr [0.1973+eps:0.1997-eps]
set ytics 0.0005 format "%.4f" font "Helvetica,16"
set xtics (\
  "" 0.0 0,\
  "" 0.1 1,\
  "" 0.2 0,\
  "" 0.3 1,\
  "" 0.4 0,\
  "" 0.5 1,\
  "" 0.6 0,\
  "" 0.7 1,\
  "" 0.8 0,\
  "" 0.9 1,\
  "" 1.0 0 \
  )

p \
  "<awk '($1==-3)' follow.filter.out" u 2:4 w d lt 1 lc 7 lw 0.2,\
  "<awk '($1==-3)' follow.proper.out" u 2:4 w l lt 1 lc 3 lw 2

########################################################################

set origin 0.0,0.58

set yl "osculating {/Helvetica-Oblique e}_2" offset 1,0

set autoscale y
set ytics 0.002 format "% g" font "Helvetica,18"
set mytics 2
set grid noxtics noytics front

p \
  "<awk '($1==-3)' follow.out"        u 2:4 w p lc 9 pt 7 ps 0.3,\
  "<awk '($1==-3)' follow.filter.out" u 2:4 w d lt 1 lc 7 lw 0.2

q


